<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>


        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.fragment.list.CollectGridItem" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/card_0"
        android:layout_width="match_parent"
        android:layout_height="46dp"
        android:background="@drawable/bg_radius_white_5"
        android:orientation="vertical"
        android:padding="5dp"
        binding:onClickCommand="@{viewModel.onItemClickCommand}">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title_0"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{viewModel.entity.columnComment}"
            android:singleLine="true"
            android:maxLines="1"
            android:textColor="@color/color_font_null"
            android:visibility="@{viewModel.titleGrayColor}"
            android:textSize="@dimen/sp_8" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{viewModel.entity.columnComment}"
            android:singleLine="true"
            android:maxLines="1"
            android:textColor="@color/colorPrimary"
            android:visibility="@{viewModel.titleBlueColor}"
            android:textSize="@dimen/sp_8" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="1dp"
            android:text="@{viewModel.entity.showName}"
            android:singleLine="true"
            android:maxLines="1"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_8" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>